### TiersOfATLASCache.py
###
### DO NOT EDIT THIS FILE ON THE WEB AREA DIRECTLY!
### PLEASE FOLLOW THE CVS INSTRUCTIONS AT
### https://uimon.cern.ch/twiki/bin/view/Atlas/DDMDevelopmentNotes
###
### Conventions: For storage endpoints, please ensure the url ends in '/'
###
### $Log: TiersOfATLASCache.py,v $
### Revision 1.117  2007/03/09 13:13:03  psalgado
### updated TW-FTT information and TAIWANSITES
###
### Revision 1.116  2007/03/09 09:34:53  psalgado
### added missing / on srm endpoint NIPNE_0*, JINR, TRIUMFTAPE, BU_TEST, SMU
###
### Revision 1.115  2007/03/08 10:27:30  psalgado
### removed TW-IPAS-T2
###
### Revision 1.114  2007/03/08 10:09:08  psalgado
### added TW-FTT
###
### Revision 1.113  2007/03/08 08:06:25  psalgado
### added srm://tbat05.nipne.ro to LYONFTS
###
### Revision 1.112  2007/03/07 07:58:34  jkennedy
### added /dq2/ to DESY-ZY srm
###
### Revision 1.111  2007/03/06 12:13:05  jkennedy
### Added LRZ
###
### Revision 1.110  2007/03/02 12:54:35  ataga
### Swap NDGFT1DISK with NDGFTEST; Add srmsc4 paths
###
### Revision 1.109  2007/03/01 15:22:39  jkennedy
### /dq2/ added to DESY-HH srm endpoint
###
### Revision 1.108  2007/02/27 10:18:25  psalgado
### removed site NIPNE, added site NIPNE_02, added site NIPNE_07, LYONFTS already had channel (no changes), added NIPNE_02, NIPNE_07 to FRANCESITES, , changed srm endpoint for MILANO ['srm://grid006.mi.infn.it/dpm/mi.infn.it/home/atlas/',], WARNING: domain for MILANO wasn't changed ['.*mi.infn.it.*']
###
### Revision 1.107  2007/02/24 08:27:21  jkennedy
### added CE info for WUP
###
### Revision 1.106  2007/02/23 18:15:16  ataga
### New sites: NDGFTEST and NDGFT1TAPE
###
### Revision 1.105  2007/02/23 06:20:42  walkerr
### Fix montreal srm endpoint
###
### Revision 1.104  2007/02/21 19:53:04  walkerr
### Fix typo in ALBERTA domain name
###
### Revision 1.103  2007/02/21 16:32:14  walkerr
### Add Montreal
###
### Revision 1.102  2007/02/21 11:00:53  mbranco
### fix CE for NIPNE
###
### Revision 1.101  2007/02/21 07:59:39  mbranco
### removed SHEF, removed AST2, updated NIPNE
###
### Revision 1.100  2007/02/15 15:39:21  mbranco
### domains for nikhef and sara
###
### Revision 1.99  2007/02/13 20:59:47  wdeng
### added SLACXRDLRC
###
### Revision 1.98  2007/02/13 00:10:39  wdeng
### added SLACXRD to US cloud
###
### Revision 1.97  2007/02/13 00:07:13  wdeng
### added site SLACXRD
###
### Revision 1.96  2007/02/08 09:06:02  mbranco
### fixed glasgow domain
###
### Revision 1.95  2007/02/07 08:51:04  mbranco
### removed MOCK sites as found a better way to have them elsewhere
###
### Revision 1.94  2007/02/07 07:06:15  walkerr
### TRIUMFTAPE sc4 to srm
###
### Revision 1.93  2007/02/01 01:03:54  walkerr
### TRIUMF sc4 to srm.triumf.ca
###
### Revision 1.92  2007/01/25 07:08:08  mbranco
### added more test sites
###
### Revision 1.91  2007/01/24 21:47:16  mbranco
### added test sites
###
### Revision 1.90  2007/01/23 15:22:00  mbranco
### fixed SARADISK and added NIKHEF as T2 site
###
### Revision 1.89  2007/01/18 12:23:32  jkennedy
### added Freiburg srm
###
### Revision 1.88  2007/01/17 16:42:02  ataga
### add orval.grid.aau.dk to ftsTopology[CERNFTS]
###
### Revision 1.87  2007/01/15 14:28:30  dcameron
### add site JINR
###
### Revision 1.86  2007/01/12 04:09:55  wdeng
### added new site BU_TEST
###
### Revision 1.85  2007/01/08 09:58:45  dcameron
### fix incorrect srm endpoint for Glasgow
###
### Revision 1.84  2006/12/21 22:58:41  wdeng
### changed BNL LRC contact string
###
### Revision 1.83  2006/12/20 14:53:04  dcameron
### update Glasgow srm endpoint
###
### Revision 1.82  2006/12/19 22:53:08  mcguigan
### updated AGLT2_UM srm attribute
###
### Revision 1.81  2006/12/18 17:10:10  wdeng
### added site SMU
###
### Revision 1.80  2006/12/18 15:31:33  wdeng
### added site AGLT2_UM
###
### Revision 1.79  2006/12/18 10:57:09  dcameron
### add test site CERNINTEGRATIONTEST1
###
### Revision 1.78  2006/12/08 08:26:18  dcameron
### take out space in LYONDISK endpoint
###
### Revision 1.77  2006/12/05 09:30:59  dcameron
### add star channels to SARA T2s
###
### Revision 1.76  2006/12/01 14:13:45  dcameron
### change LYON srmsc4 endpoints for multi-vo test
###
### Revision 1.75  2006/11/30 13:36:56  dcameron
### add slashes to end of storage endpoints
###
### Revision 1.74  2006/11/28 23:43:49  walkerr
### Add srm endpoint to UVic entry
###
### Revision 1.73  2006/11/24 18:17:30  alexei
### changed DDM Resp emails
###
### Revision 1.72  2006/11/24 16:21:34  dcameron
### update SE endpoint on LPC
###
### Revision 1.71  2006/11/16 12:42:02  ataga
### Added NDGFT1DISK to NDGF sites; Added NDGFFTS
###
### Revision 1.70  2006/11/15 14:56:00  dcameron
### add CE to AU-MELB
###
### Revision 1.69  2006/11/10 14:47:09  psalgado
###      ce: [ clrlcgceli01.in2p3.fr, clrlcgceli02.in2p3.fr, clrlcgceli03.in2p3.fr ],
###
### Revision 1.68  2006/11/08 14:12:05  psalgado
### updated CNAFLFC
###
### Revision 1.67  2006/11/08 11:56:22  mcguigan
### updated BNLFTS with gk02.swt2.uta.edu
###
### Revision 1.66  2006/11/08 11:05:03  psalgado
### changed QMUL, SHEF, RHUL, UCLHEP, UCLCC, DUR, LIV, BRUN, BHAM and RALFTS
###
### Revision 1.65  2006/11/02 21:55:23  mcguigan
### Updated hosts/paths for UTA_TEST1
###
### Revision 1.64  2006/10/31 15:45:30  dcameron
### have cern a close site to itself in closeSitesTopology
###
### Revision 1.63  2006/10/27 16:07:36  dcameron
### put back in srm for NDGF
###
### Revision 1.62  2006/10/27 09:56:02  dcameron
### star-T2 channels to BNL and Lyon
###
### Revision 1.61  2006/10/26 12:10:12  dcameron
### add star channels to CNAF T2s
###
### Revision 1.60  2006/10/26 11:50:19  dcameron
### add IHEP, star channels for PIC and ASGC T2s
###
### Revision 1.59  2006/10/25 18:56:34  walkerr
### Add star channels to Canada T2s
###
### Revision 1.58  2006/10/25 12:45:45  dcameron
### change hostname of Lyon FTS
###
### Revision 1.57  2006/10/25 10:00:58  dcameron
### update Edinburgh srm endpoint
###
### Revision 1.56  2006/10/25 09:34:51  dcameron
### star channels into RAL T2s
###
### Revision 1.55  2006/10/25 09:30:48  dcameron
### remove state and istape attrs, add fts attr
###
### Revision 1.54  2006/10/24 19:08:41  wdeng
### changed emails for MWT2 to support@mwt2.org
###
### Revision 1.53  2006/10/24 17:46:59  wdeng
### added the site MWT2_UC
###
### Revision 1.52  2006/10/23 13:59:25  dcameron
### add star channels to FZK T2s
###
### Revision 1.51  2006/10/23 09:56:19  dcameron
### add NIPNE (French T2)
###
### Revision 1.50  2006/10/23 07:52:22  mbranco
### fixed PICDISK domain
###
### Revision 1.49  2006/10/19 11:15:51  dcameron
### update ndgf lrc endpoint
###
### Revision 1.48  2006/10/18 11:33:13  jkennedy
### added LAPP CE entry
###
### Revision 1.47  2006/10/11 20:29:31  wdeng
### changed SE path for AGLT2
###
### Revision 1.46  2006/10/11 14:14:00  wdeng
### added site MWT2_IU
###
### Revision 1.45  2006/10/11 12:23:43  dcameron
### add ndgf LRC
###
### Revision 1.44  2006/10/03 21:21:28  mbranco
### fixed FTS usaged for CNAF TAPE area
###
### Revision 1.43  2006/10/02 19:19:03  wdeng
### changed AGLT2 storage directory
###
### Revision 1.42  2006/09/29 15:22:59  mbranco
### CNAFTAPE update to castorsrm from sc
###
### Revision 1.41  2006/09/27 15:54:50  dcameron
### fix domain issues with tmp sara site
###
### Revision 1.40  2006/09/27 09:52:11  jkennedy
### *-T1 now used in ftsTopology for all T1s
###
### Revision 1.39  2006/09/27 08:46:17  dcameron
### add site CERNPROD
###
### Revision 1.38  2006/09/25 18:12:09  wdeng
### added site AGLT2
###
### Revision 1.37  2006/09/22 19:09:48  walkerr
### Temporary & urgent change sara srm to tbn18
###
### Revision 1.36  2006/09/22 11:26:43  psalgado
### updated NDGFDISK and NDGFTAPE information
###
### Revision 1.35  2006/09/22 09:26:45  dcameron
### add missing UK T2s to ftsTopology
###
### Revision 1.34  2006/09/18 15:59:09  dcameron
### fix key overwrite in RALFTS dict
###
### Revision 1.33  2006/09/13 08:10:15  dcameron
### add LNF (Italian T2)
###
### Revision 1.32  2006/09/13 08:08:30  jkennedy
### Added SINP to SARA sites
###
### Revision 1.31  2006/09/12 04:54:10  wdeng
### added dCache storage for IU_BC
###
### Revision 1.30  2006/09/10 09:07:51  jkennedy
### added toolAssigner to CPPM
###
### Revision 1.29  2006/09/05 14:56:15  mbranco
### ASGC T1 now uses star channels
###
### Revision 1.28  2006/09/05 09:17:20  dcameron
### add star channel from all sites into cern
###
### Revision 1.27  2006/09/04 08:43:44  dcameron
### add CPPM endpoint to fts topology
###
### Revision 1.26  2006/09/04 08:41:43  dcameron
### change Beijing endpoint in fts topology
###
### Revision 1.25  2006/09/01 14:50:40  dcameron
### add AU-UNIMELB site (T2 for ASGC)
###
### Revision 1.24  2006/09/01 12:48:39  dcameron
### add duplicate for AST2 to eventually replace it
###
### Revision 1.23  2006/09/01 07:50:59  psalgado
### changed BEIJING srm endpoint + added CPPM srm endpoint
###
### Revision 1.22  2006/09/01 00:46:43  wdeng
### added UTA_TEST1
###
### Revision 1.21  2006/08/31 13:26:56  wdeng
### added FTS STARs -> BNL
###
### Revision 1.20  2006/08/28 12:53:55  dcameron
### change domain and email info for taiwan sites
###
### Revision 1.19  2006/08/23 20:49:05  walkerr
### Change UBC SE path and add to BNLFTS
###
### Revision 1.18  2006/08/21 18:55:55  walkerr
### Remove UBC from CA cloud
###
### Revision 1.17  2006/08/21 18:41:16  walkerr
### Add UBC LRC
###
### Revision 1.16  2006/08/17 22:40:40  walkerr
### Moved CE from UBC to SFU. UBC now has gsiftp srm endpoint
###
### Revision 1.15  2006/08/17 17:21:35  dcameron
### test email to atlas-dq2-dev
###
### Revision 1.14  2006/08/17 17:17:22  dcameron
### test email notification
###
### Revision 1.13  2006/08/17 16:56:19  dcameron
### add 2 missing commas found by Suijan
###
### Revision 1.12  2006/08/17 14:12:14  wdeng
### Added a new site BNLTEST
###
### Revision 1.11  2006/08/15 13:48:41  dcameron
### one final commit test
###
### Revision 1.10  2006/08/15 13:24:41  dcameron
### test of new script
###
### Revision 1.9  2006/08/15 13:21:33  dcameron
### test of new script
###
### Revision 1.8  2006/08/15 13:19:11  dcameron
### $1
###
### Revision 1.7  2006/08/15 12:56:59  dcameron
### test of post-commit update
###
### Revision 1.6  2006/08/15 11:55:06  dcameron
### brought up to date with latest version on web area
###
### Revision 1.5  2006/08/15 11:26:42  dcameron
### another logging test
###
### Revision 1.4  2006/08/15 11:26:02  dcameron
### add cvs logging
###
### $Author: psalgado $
### $Revision: 1.117 $
###
###

# constants for the state of sites
SE_READABLE = 1
SE_WRITEABLE = 2
CE_USEABLE = 3

#
# FTS Servers
#

CERNFTS = 'https://prod-fts-ws.cern.ch:8443/glite-data-transfer-fts/services/FileTransfer'
RALFTS = 'https://lcgfts.gridpp.rl.ac.uk:8443/glite-data-transfer-fts/services/FileTransfer'
PICFTS = 'https://fts02.pic.es:8443/glite-data-transfer-fts/services/FileTransfer'
FZKFTS  = 'https://fts-fzk.gridka.de:8443/glite-data-transfer-fts/services/FileTransfer'
CNAFFTS = 'https://fts.cr.cnaf.infn.it:8443/glite-data-transfer-fts/services/FileTransfer'
SARAFTS = 'https://mu8.matrix.sara.nl:8443/glite-data-transfer-fts/services/FileTransfer'
ASGCFTS = 'https://fts.grid.sinica.edu.tw:8443/glite-data-transfer-fts/services/FileTransfer'
LYONFTS = 'https://cclcgftsprod01.in2p3.fr:8443/glite-data-transfer-fts/services/FileTransfer'
TRIUMFFTS = 'https://fts.triumf.ca:8443/glite-data-transfer-fts/services/FileTransfer'
BNLFTS = 'https://fts.usatlas.bnl.gov:8443/glite-data-transfer-fts/services/FileTransfer'
NDGFFTS = 'https://fts001.nsc.liu.se:8443/glite-data-transfer-fts/services/FileTransfer'

#
# sites
#

sites = {
    #
    # OLD LCG catalog
    #
    'OLDLCG':
    {
        'domain': '.*',
    },
    
    #
    # TEST
    #
    'CERNINTEGRATIONTEST1':
    {
        'domain': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/dq2/test/.*',
        'email': 'mario.lassnig@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CERNFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/dq2/test/',
        'srmsc4': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/dq2/test/',
        # LCG executor attributes
        'ce': [ '' ],
        },

    #
    # CERN
    #
    'TIER0DISK':
    {
        'domain': 'srm://(castor)?srm.cern.ch.*',
        'email': 'miguel.branco@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CERNFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/t0/disk/',
        'srmsc4': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/t0/disk/',
        # LCG executor attributes
        'ce': [ 'ce101.cern.ch', 'ce102.cern.ch', 'ce105.cern.ch', 'ce106.cern.ch' ],
        },
    'TIER0TAPE':
    {
        'domain': 'srm://(castor)?srm.cern.ch.*',
        'email': 'miguel.branco@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CERNFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/t0/',
        'srmsc4': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/t0/',
        # LCG executor attributes
        'ce': [ '' ],
        },
    'CERNPROD':
    {
        'domain': 'srm://(castor)?srm.cern.ch.*',
        'email': 'miguel.branco@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CERNFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/dq2/',
        'srmsc4': 'srm://srm.cern.ch/castor/cern.ch/grid/atlas/dq2/',
        # LCG executor attributes
        'ce': [ 'ce101.cern.ch', 'ce102.cern.ch', 'ce105.cern.ch', 'ce106.cern.ch' ],
        },
    'CERNCAF':
    { 
        'domain': 'srm://srm-durable-atlas.cern.ch.*',
        'email': 'miguel.branco@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CERNFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://srm-durable-atlas.cern.ch/castor/cern.ch/grid/atlas/caf/',
        'srmsc4': 'srm://srm-durable-atlas.cern.ch/castor/cern.ch/grid/atlas/caf/sc4/',
        # LCG executor attributes
        'ce': [ 'ce101.cern.ch', 'ce102.cern.ch', 'ce105.cern.ch', 'ce106.cern.ch' ],
    },

    #
    # SPAIN
    #
    'PICTAPE':
    {
        'domain': '.*castorsrm.pic.es.*',
        'email': 'gonzalo merino',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://castorsrm.pic.es/castor/pic.es/grid/atlas/',
        'srmsc4': 'srm://castorsrm.pic.es/castor/pic.es/grid/atlas/sc4/tape/',
        # LCG executor attributes
        'ce': [ '' ],
        },    
    'PICDISK':
    {
        'domain': '.*srm-disk.pic.es.*',
        'email': 'gonzalo merino',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        #'srm': 'srm://castorsrm.pic.es/castor/pic.es/grid/atlas/',
        'srm': 'srm://srm-disk.pic.es/pnfs/pic.es/data/atlas/',
        'srmsc4': 'srm://srm-disk.pic.es/pnfs/pic.es/data/atlas/',
        # LCG executor attributes
        'ce': [ 'ce04.pic.es' ],
        },    
    'IFICDISK': 
    {
        'domain': '.*ific.uv.es.*',
        'email': 'espinal@ifae.es',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://castorsrm.ific.uv.es/castor/ific.uv.es/grid/atlas/SC4DA/',
        'srmsc4': 'srm://castorsrm.ific.uv.es/castor/ific.uv.es/grid/atlas/SC4DA/test/preSC4T1T2/',
        # LCG executor attributes
        'ce': [ 'lcg2ce.ific.uv.es' ],
        },
    'IFICTAPE': 
    {
        'domain': '.*ific.uv.es.*',
        'email': 'espinal@ifae.es',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://castorsrm.ific.uv.es/castor/ific.uv.es/grid/atlas/',
        'srmsc4': 'srm://castorsrm.ific.uv.es/castor/ific.uv.es/grid/atlas/test/preSC4T1T2/',
        # LCG executor attributes
        'ce': [ 'lcg2ce.ific.uv.es' ],
        },
    'IFAE': 
    {
        'domain': '.*ifaesrm.pic.es.*',
        'email': 'espinal@ifae.es',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://ifaesrm.pic.es/nfs/atlas-data00/atlas/data/',
        'srmsc4': 'srm://ifaesrm.pic.es/nfs/atlas-data00/SC4/',
        # LCG executor attributes
        'ce': [ 'ifaece01.pic.es' ],
        },
    'UAM': 
    {
        'domain': '.*uam.es.*',
        'email': 'espinal@ifae.es',
        'toolAssigner': 'lcg',
        'fts': PICFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://grid002.ft.uam.es/pnfs/ft.uam.es/data/atlas/',
        # LCG executor attributes
        'ce': [ 'grid003.ft.uam.es' ],
        },    
    #
    # ITALY
    #
   'CNAFDISK':
    {
        'domain': '.*cnaf.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://sc.cr.cnaf.infn.it/castor/cnaf.infn.it/grid/lcg/atlas/datafiles/',
        # LCG executor attributes
        'ce': [ 'ce03-lcg.cr.cnaf.infn.it', 'ce01-lcg.cr.cnaf.infn.it' ],
    },
   'CNAFTAPE':
    {
        'domain': '.*cnaf.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://castorsrm.cr.cnaf.infn.it/castor/cnaf.infn.it/grid/lcg/atlas/',
        # LCG executor attributes
        'ce': [ '' ],
    },
    'MILANO':
    {
        'domain': '.*mi.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://grid006.mi.infn.it/dpm/mi.infn.it/home/atlas/',
        # LCG executor attributes
        'ce': [ 't2-ce-01.mi.infn.it' ],
    },
    'ROMA1':
    {
        'domain': '.*roma1.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://grid-cert-03.roma1.infn.it/dpm/roma1.infn.it/home/atlas/',
        # LCG executor attributes
        'ce': [ 't2-ce-01.roma1.infn.it' ],
    },
    'NAPOLI':
    {
        'domain': '.*na.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://t2-dpm-01.na.infn.it/dpm/na.infn.it/home/atlas/',
        # LCG executor attributes
        'ce': [ 'atlasce01.na.infn.it' ],
    },
    'LNF':
    {
        'domain': '.*lnf.infn.it.*',
        'email': 'guido.negri@cern.ch',
        'toolAssigner': 'lcg',
        'fts': CNAFFTS,
        # LCG toolAssigner attributes
        'srm': 'srm://atlasse.lnf.infn.it/dpm/lnf.infn.it/home/atlas/',
        # LCG executor attributes
        'ce': [ 'atlasce.lnf.infn.it' ],
    },

    #
    # UK
    #
    'RALDISK':
    {
        'domain': '.*rl.ac.uk.*',
        'email': 'C.Condurache@rl.ac.uk',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcache.gridpp.rl.ac.uk/pnfs/gridpp.rl.ac.uk/data/atlas/',
        # LCG executor attributes
        'ce': [ 'lcgce01.gridpp.rl.ac.uk' ],
        },
    'RALTAPE':
    {
        'domain': '.*rl.ac.uk.*',
        'email': 'C.Condurache@rl.ac.uk',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcache-tape.gridpp.rl.ac.uk/pnfs/gridpp.rl.ac.uk/tape/atlas/',
        # LCG executor attributes
        'ce': [ '' ],
        },
    'RALPP':
    {
        'domain': '.*pp.rl.ac.uk.*',
        #'srm': 'srm://heplnx204.pp.rl.ac.uk/',
        'ce': [ 'heplnx201.pp.rl.ac.uk' ],
        },
    'MANC':
    {
        #'email': 'lanc email',
        'domain': '.*tier2.hep.manchester.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcache01.tier2.hep.manchester.ac.uk/pnfs/tier2.hep.manchester.ac.uk/data/atlas/',
        # LCG executor attributes
        'ce': [ 'ce01.tier2.hep.manchester.ac.uk' ],
        },
    'LANCS':
    {
        #'email': 'lanc email',
        'domain': '.*lancs.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://fal-pygrid-20.lancs.ac.uk/pnfs/lancs.ac.uk/data/atlas/',
        # LCG executor attributes
        'ce': [ 'fal-pygrid-18.lancs.ac.uk' ],
        },
    'QMUL':
    {
        'domain': '.*esc.qmul.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://se01.esc.qmul.ac.uk/dpm/esc.qmul.ac.uk/home/atlas/',
        'ce': [ 'ce02.esc.qmul.ac.uk' ],
        },
   'RHUL':
      {
          'domain': '.*pp.rhul.ac.uk.*',
          'toolAssigner': 'lcg',
          'fts': RALFTS,
          # LCG tool toolAssigner attributes
          'srm': 'srm://se1.pp.rhul.ac.uk/dpm/pp.rhul.ac.uk/home/atlas/',
          'ce': [ 'ce1.pp.rhul.ac.uk' ],
          },
    'OXF':
    {
        'domain': '.*physics.ox.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://t2se01.physics.ox.ac.uk/dpm/physics.ox.ac.uk/home/atlas/',
        'ce': [ 't2ce02.physics.ox.ac.uk' ],
        },
    'UCLHEP':
    {
        'domain': '.*hep.ucl.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://pc55.hep.ucl.ac.uk/dpm/hep.ucl.ac.uk/home/atlas/',
        'ce': [ 'pc90.hep.ucl.ac.uk' ],
        },
    'UCLCC':
    {
        'domain': '.*ccc.ucl.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://gw-3.ccc.ucl.ac.uk/dpm/ccc.ucl.ac.uk/home/atlas/',
        'ce': [ 'gw-2.ccc.ucl.ac.uk' ],
        },

    'DUR':
    {
        'domain': '.*dur.scotgrid.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://gallows.dur.scotgrid.ac.uk/dpm/dur.scotgrid.ac.uk/home/atlas/',
        'ce': [ 'helmsley.dur.scotgrid.ac.uk' ],
        },

    'LIV':
    {
        'domain': '.*ph.liv.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://hepgrid5.ph.liv.ac.uk/pnfs/ph.liv.ac.uk/data/atlas/',
        'ce': [ 'hepgrid2.ph.liv.ac.uk' ],
        },
    'LESC':
    {
        'domain': '.*mars.lesc.doc.ic.ac.uk.*',
        'ce': [ 'mars-ce.mars.lesc.doc.ic.ac.uk' ],
        },
    'ICL':
    {
        'domain': '.*hep.ph.ic.ac.uk.*',
        'ce': [ 'gw39.hep.ph.ic.ac.uk' ],
        },
    'CAM':
    {
        'domain': '.*hep.phy.cam.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://serv02.hep.phy.cam.ac.uk/dpm/hep.phy.cam.ac.uk/home/atlas/',
        'ce': [ 'serv03.hep.phy.cam.ac.uk' ],
        },
    'BRUN':
    {
        'domain': '.*brunel.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dgc-grid-34.brunel.ac.uk/dpm/brunel.ac.uk/home/atlas/',
        'ce': [ 'dgc-grid-40.brunel.ac.uk' ],
        },
    'BHAM':
    {
        'domain': '.*ph.bham.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://epgse1.ph.bham.ac.uk/dpm/ph.bham.ac.uk/home/atlas/',
        'ce': [ 'epgce1.ph.bham.ac.uk' ],
        },
    'GLASGOW':
    {
        'email': 'g.stewart@physics.gla.ac.uk',
        'domain': '.*gla.scotgrid.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://svr018.gla.scotgrid.ac.uk/dpm/gla.scotgrid.ac.uk/home/atlas/',
        # LCG executor attributes
        'ce': [ 'ce1-gla.scotgrid.ac.uk' ],
        },
    'EDINBURGH':
    {
        'email': 'g.stewart@physics.gla.ac.uk',
        'domain': '.*ed.ac.uk.*',
        'toolAssigner': 'lcg',
        'fts': RALFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm.epcc.ed.ac.uk/pnfs/epcc.ed.ac.uk/data/atlas/',
        # LCG executor attributes
        'ce': [ 'ce.epcc.ed.ac.uk' ],
        },
    #
    # NL
    #
    'SARADISK':
    {
        'email': 'Jiri.Chudoba@cern.ch',
        'domain': '.*nl.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm.grid.sara.nl/pnfs/grid.sara.nl/disk/atlas/',
        'srmsc4': 'srm://srm.grid.sara.nl/pnfs/grid.sara.nl/disktests/atlas/',
        # LCG executor attributes
        'ce': [ 'tbn20.nikhef.nl' ],
        },
    'NIKHEF':
    {
        'email': 'Jiri.Chudoba@cern.ch',
        'domain': '.*nl.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://tbn18.nikhef.nl/dpm/nikhef.nl/home/atlas/',
        # LCG executor attributes
        'ce': [ 'tbn20.nikhef.nl' ],
        },
    'SARATAPE':
    {
        'email': 'Jiri.Chudoba@cern.ch',
        'domain': '.*nl.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm.grid.sara.nl/pnfs/grid.sara.nl/data/atlas/',
        'srmsc4': 'srm://srm.grid.sara.nl/pnfs/grid.sara.nl/tapetests/atlas/',
        # LCG executor attributes
        'ce': [ '' ],
        },
    'ITEP':
    {
        'email': 'Jiri.Chudoba@cern.ch,lyublev@mail.cern.ch',
        'domain': '.*itep.ru.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://se2.itep.ru/dpm/itep.ru/home/atlas/',
        # LCG executor attributes
        'ce': [ 'ceitep.itep.ru' ],
        },
    'SINP':
    {
        'email': 'Jiri.Chudoba@cern.ch,sivokl@mail.cern.ch',
        'domain': '.*sinp.msu.ru.*',
        'toolAssigner': 'lcg',
         'fts': SARAFTS,
       # LCG tool toolAssigner attributes
        'srm': 'srm://lcg60.sinp.msu.ru/pnfs/sinp.msu.ru/data/atlas/',
        # LCG executor attributes
        'ce': [ 'lcg06.sinp.msu.ru' ],
        },
    'IHEP':
    {
        'email': 'Jiri.Chudoba@cern.ch,Andrei.Minaenko@cern.ch',
        'domain': '.*ihep.su.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dpm0001.m45.ihep.su/dpm/m45.ihep.su/home/atlas/',
        # LCG executor attributes
        'ce': [ 'ce0001.m45.ihep.su' ],
        },
    'JINR':
    {
        'email': 'zhemchugov@jinr.ru',
        'domain': '.*jinr.ru.*',
        'toolAssigner': 'lcg',
        'fts': SARAFTS,
        'srm': 'srm://lxfs07.jinr.ru/pnfs/jinr.ru/data/atlas/dq2/',
        'ce': [ 'lcgce01.jinr.ru', 'lgdce01.jinr.ru' ],
        },

    #
    # FZK-ASSOCIATED SITES
    #
    'FZKDISK':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*fzk.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        #'srm': 'srm://dc-srm1.fzk.de/pnfs/gridka.de/atlas/',
        'srm': 'srm://gridka-dcache.fzk.de/pnfs/gridka.de/atlas/disk-only/',
        'srmsc4': 'srm://gridka-dcache.fzk.de/pnfs/gridka.de/atlas/disk-only/',
        # LCG executor attributes
        'ce': [ 'ce-fzk.gridka.de' ],    
        },
    'FZKTAPE':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*fzk.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        #'srm': 'srm://dc-srm1.fzk.de/pnfs/gridka.de/atlas/',
        'srm': 'srm://gridka-dcache.fzk.de/pnfs/gridka.de/atlas/',
        'srmsc4': 'srm://gridka-dcache.fzk.de/pnfs/gridka.de/atlas/',
        # LCG executor attributes
        'ce': [ '' ],    
        },
    'FZU':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*farm.particle.cz.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://golias100.farm.particle.cz/dpm/farm.particle.cz/home/atlas/',
        # LCG executor attributes
        'ce': [ 'golias25.farm.particle.cz' ],
        },
    'CSCS':
    {
        'email': 'project-lcg-cscsgrid@cern.ch',
        'domain': '.*projects.cscs.ch.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://se01-lcg.projects.cscs.ch/dpm/projects.cscs.ch/home/atlas/data/',
        # LCG executor attributes
        'ce': [ 'ce01-lcg.projects.cscs.ch'],
    },
    'CYF':
    {
        'email': 'Andrzej.Olszewski@ifj.edu.pl',
        'domain': '.*cyf-kr.edu.pl.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        'srm': 'srm://dpm.cyf-kr.edu.pl/dpm/cyf-kr.edu.pl/home/atlas/',
        'ce': [ 'zeus02.cyf-kr.edu.pl' ],
    },
    'DESY-HH':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*desy.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm-dcache.desy.de/pnfs/desy.de/atlas/dq2/',
        # LCG executor attributes
        'ce': [ 'grid-ce1.desy.de' ],
    },
    'DESY-ZN':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*ifh.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://globe-door.ifh.de/pnfs/ifh.de/acs/grid/atlas/dq2/',
        # LCG executor attributes
        'ce': [ 'lcg-ce0.ifh.de' ],
    },
    'UNI-FREIBURG':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*uni-freiburg.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm':'srm://se.bfg.uni-freiburg.de/pnfs/bfg.uni-freiburg.de/data/atlas/',
        # LCG executor attributes
        'ce': [ 'ce.bfg.uni-freiburg.de' ],
    },
    'WUP':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de,meder@physik.uni-wuppertal.de,harenberg@physik.uni-wuppertal.de',
        'domain': '.*uni-wuppertal.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm':'srm://grid-se.physik.uni-wuppertal.de/pnfs/physik.uni-wuppertal.de/data/atlas/',
        # LCG executor attributes
        'ce': [ 'grid-ce.physik.uni-wuppertal.de' ],
    },
    'LRZ':
    {
        'email': 'John.Kennedy@cern.ch,Cedric.Serfon@Physik.Uni-Muenchen.de',
        'domain': '.*lrz-muenchen.de.*',
        'toolAssigner': 'lcg',
        'fts': FZKFTS,
        # LCG tool toolAssigner attributes
        'srm':'srm://lcg-lrz-se.lrz-muenchen.de/pnfs/lrz-muenchen.de/data/atlas/',
        # LCG executor attributes
        'ce': [ 'lcg-lrz-ce.lrz-muenchen.de' ],
    },

    #
    # TAIWAN
    #
    'ASGCDISK':
    {
        'email': 'Horng-Liang.Shih@cern.ch,Suijian.Zhou@cern.ch',
        'domain': '.*grid.sinica.edu.tw.*',
        'toolAssigner': 'lcg',
        'fts': ASGCFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://castorsc.grid.sinica.edu.tw/castor/grid.sinica.edu.tw/sc/atlas/',
        # LCG executor attributes
        'ce': [ 'lcg00125.grid.sinica.edu.tw' ],    
        },
    'ASGCTAPE':
    {
        'email': 'Horng-Liang.Shih@cern.ch,Suijian.Zhou@cern.ch',
        'domain': '.*grid.sinica.edu.tw.*',
        'toolAssigner': 'lcg',
        'fts': ASGCFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://castorsc.grid.sinica.edu.tw/castor/grid.sinica.edu.tw/sc_tape/atlas/',
        # LCG executor attributes
        'ce': [ '' ],
        },
     'TW-FTT':
     {
         'email': 'ops@lists.grid.sinica.edu.tw',
         'domain': '.*grid.sinica.edu.tw.*',
         'toolAssigner': 'lcg',
         'fts': ASGCFTS,
         'srm': 'srm://f-dpm001.grid.sinica.edu.tw/dpm/grid.sinica.edu.tw/home/atlas/',
         'ce': [ 'f-ce01.grid.sinica.edu.tw' ],
    },
    'AU-UNIMELB':
    {
        'email': 'glenn@physics.unimelb.edu.au',
        'domain': '.*unimelb.edu.au.*',
        'toolAssigner': 'lcg',
        'fts': ASGCFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://koala.unimelb.edu.au/dpm/unimelb.edu.au/home/atlas/',
        # LCG executor attributes
        'ce': ['lcg-compute.hpc.unimelb.edu.au'],
        },
    #
    # FRANCE
    #
    'LYONDISK':
    {
        'email': 'ddm-support@in2p3.fr,jezequel@lapp.in2p3.fr',
        'domain': '.*in2p3.fr.*disk.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://ccsrm.in2p3.fr/pnfs/in2p3.fr/data/atlas/disk/dq2/',
        'srmsc4': 'srm://ccsrm.in2p3.fr/pnfs/in2p3.fr/data/atlas/disk/sc4/multi_vo_tests/',
        # LCG executor attributes
        'ce': [ 'cclcgceli02.in2p3.fr' ],    
        },
    'LYONTAPE':
    {
        'email': 'ddm-support@in2p3.fr,jezequel@lapp.in2p3.fr',
        'domain': '.*in2p3.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://ccsrm.in2p3.fr/pnfs/in2p3.fr/data/atlas/dq2/',
        'srmsc4': 'srm://ccsrm.in2p3.fr/pnfs/in2p3.fr/data/atlas/tape/sc4/multi_vo_tests/',
        # LCG executor attributes
        'ce': [ '' ],    
        },
    'LPC':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*clrlcg.*in2p3.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://clrlcgse01.in2p3.fr/dpm/in2p3.fr/home/atlas/',
        'ce': [ 'clrlcgce01.in2p3.fr', 'clrlcgce02.in2p3.fr', 'clrlcgce03.in2p3.fr' ],
         },
    'LAL':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*lal.in2p3.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://grid05.lal.in2p3.fr/dpm/lal.in2p3.fr/home/atlas/',
        'ce': [ 'grid10.lal.in2p3.fr' ],
        },
    'SACLAY':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*datagrid.cea.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://node12.datagrid.cea.fr/dpm/datagrid.cea.fr/home/atlas/',
        'ce': [ 'node07.datagrid.cea.fr' ],
        },
    'LPNHE':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*lpn.*in2p3.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://lpnse1.in2p3.fr/dpm/in2p3.fr/home/atlas/',
        'ce': [ 'lpnce.in2p3.fr' ],
        },
    'LAPP':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*lapp.*in2p3.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://lapp-se01.in2p3.fr/dpm/in2p3.fr/home/atlas/',
        'ce': [ 'lapp-ce01.in2p3.fr' ],
        },
    'CPPM':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*mrs.grid.cnrs.fr.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'ce': [ 'marseillece01.mrs.grid.cnrs.fr' ],
        'srm': 'srm://sedpm.mrs.grid.cnrs.fr/dpm/mrs.grid.cnrs.fr/home/atlas/',
        },
    'TOKYO':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*icepp.jp.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://dgse0.icepp.jp/dpm/icepp.jp/home/atlas/',
        'ce': [ 'dgce0.icepp.jp' ],
        },
    'BEIJING':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*ihep.ac.cn.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://atlasse01.ihep.ac.cn/pnfs/ihep.ac.cn/data/atlas/',
        'ce': [ 'lcg002.ihep.ac.cn' ],
        },
    'NIPNE_02':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*nipne.ro.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://tbat05.nipne.ro/dpm/nipne.ro/home/atlas/',
        'ce': [ 'tbat01.nipne.ro' ],
        },
    'NIPNE_07':
    {
        'email': 'ddm-support@in2p3.fr',
        'domain': '.*nipne.ro.*',
        'toolAssigner': 'lcg',
        'fts': LYONFTS,
        'srm': 'srm://tbit00.nipne.ro/dpm/nipne.ro/home/atlas/',
        'ce': [ 'tbit01.nipne.ro' ],
        },
    #
    # CANADA
    #
    'TRIUMFDISK':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*triumf.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm.triumf.ca/atlas/',
        'srmsc4': 'srm://srm.triumf.ca/atlas/',
        # LCG executor attributes
        'ce': [ 'lcgce01.triumf.ca' ],    
        },
    'TRIUMFTAPE':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*triumf.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://srm.triumf.ca/atlas/',
        'srmsc4': 'srm://srm.triumf.ca/atlas/tape/',
        # LCG executor attributes
        'ce': [ '' ],    
        },
    'TORON':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*physics.utoronto.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        'srm': 'srm://bigmac-dcache.physics.utoronto.ca/pnfs/physics.utoronto.ca/data/atlas/',
        'ce': [ 'bigmac-lcg-ce.physics.utoronto.ca' ],
    },
    'SFU':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*wormhole.westgrid.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://wormhole.westgrid.ca/atlas/',
        'ce' : [ 'snowpatch.hpc.sfu.ca','hep.westgrid.ca' ],
    },
    'UBC':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*hep.westgrid.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'srm': 'gsiftp://hep.westgrid.ca/export/LHC/software/Panda/dq2-cache/',
        'ce':[ ],
    },
    'UVIC':
    {
        'email': 'rodwalker@triumf.ca',
        'domain': '.*uvic.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'ce':[ 'mercury2.uvic.ca' ],
        'srm': 'srm://lcg-se.rcf.uvic.ca/pnfs/rcf.uvic.ca/data/atlas/',
    },
    'MONTREAL':
    {
    'email': 'chen@lps.umontreal.ca',
    'domain': '.*lps.umontreal.ca.*',
    'toolAssigner': 'lcg',
    'fts': TRIUMFFTS,
            # LCG tool toolAssigner attributes
    'srm': 'srm://lcg-se.lps.umontreal.ca/dpm/lps.umontreal.ca/home/atlas/',
    'ce':[ 'lcg-ce.lps.umontreal.ca' ],
    },
    'ALBERTA':
    {
        'email': 'caron@phys.ualberta.ca',
        'domain': '.*nic.ualberta.ca.*',
        'toolAssigner': 'lcg',
        'fts': TRIUMFFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://lcgse02.nic.ualberta.ca/pnfs/nic.ualberta.ca/data/atlas/',
        'ce':[ 'lcgce01.nic.ualberta.ca' ],
    },

    #
    # USA
    #
    'BNLDISK':
    {
        'email': 'hito@rcf.rhic.bnl.gov,alexei.klimentov@cern.ch',
        'domain': '.*bnl.gov.*',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/ustier1_disk/usatlas4/',
        'srmsc4': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/sc_tier2/usatlas4/',
        },
    'BNLNULL':
    {
        'email': 'hito@rcf.rhic.bnl.gov,alexei.klimentov@cern.ch',
        'domain': '.*bnl.gov.*',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/sc/usatlas4/',
        'srmsc4': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/sc/usatlas4/',
        },
    'BNLTAPE':
    {
        'email': 'hito@rcf.rhic.bnl.gov,alexei.klimentov@cern.ch',
        'domain': '.*bnl.gov.*',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/ustier1_tape/usatlas4/',
        'srmsc4': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/sc_tape/usatlas4/',
        },
    'BNLPANDA':
    {
        'email': 'wdeng@bnl.gov,hito@rcf.rhic.bnl.gov,alexei.klimentov@cern.ch',
        'domain': '.*bnl.gov.*',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/',
        },
    'BNLTEST':
    {
        'email': 'xzhao@bnl.gov,hito@rcf.rhic.bnl.gov,alexei.klimentov@cern.ch',
        'domain': '.*bnl.gov.*',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG tool toolAssigner attributes
        'srm': 'srm://dcsrm.usatlas.bnl.gov/pnfs/usatlas.bnl.gov/u04/xinzhao/',
        },
    'BU':
    {
        'domain': '.*bu.edu.*',
        'email': 'wdeng@bnl.gov',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://atlas.bu.edu/data2/',
        },
    'BU_TEST':
    {
        'domain': '.*bu.edu.*',
        'email': 'wdeng@bnl.gov',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://atlas.bu.edu/data2/dq2-test/',
        },
    'UTA':
    {
        'domain': '.*uta.edu.*',
        'email': 'mcguigan@uta.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://atlas.dpcc.uta.edu/data62/ATLAS/dq2/',
        },
    'UTA_SWT2':
    {
        'domain': '.*uta.edu.*',
        'email': 'mcguigan@uta.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://gk01.swt2.uta.edu/ifs1/dq2_cache/storageA/',
    },
    'UTA_TEST1':
    {
        'domain': '.*uta.edu.*',
        'email': 'mcguigan@uta.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://gk02.swt2.uta.edu/ifs1/dq2_test/storageA/',
        },    
    'UC':
    {
        'domain': '.*uchicago.edu.*',
        'email': 'support@mwt2.org,rwg@hep.uchicago.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://tier2-04.uchicago.edu/share/data2/atlas_se_ddm/',
        },
    'UC_TP':
    {
        'domain': '.*uchicago.edu.*',
        'email': 'support@mwt2.org,rwg@hep.uchicago.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://tp-grid2.uchicago.edu/gpfs1/dq2/',
        },
    'UC_VOB':
    {
        'domain': '.*uchicago.edu.*',
        'email': 'support@mwt2.org,rwg@hep.uchicago.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://tier2-d1.uchicago.edu:2811/pnfs/uchicago.edu/data/usatlas/',
        },
    'MWT2_UC':
    {
        'domain': '.*uchicago.edu.*',
        'email': 'support@mwt2.org,rwg@hep.uchicago.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://uct2-dc1.uchicago.edu/pnfs/uchicago.edu/data/ddm1/',
        },
    'IU':
    {
        'domain': '.*iu.edu.*',
        'email': 'support@mwt2.org,schraged@indiana.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://atlas.iu.edu/N/atlas/d0/',
        },
    'IU_BC':
    {
        'domain': '.*indiana.edu.*',
        'email': 'support@mwt2.org,schraged@indiana.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://bandicoot.uits.indiana.edu/export/data/atlas_data/',
        'srm': 'gsiftp://bandit.uits.indiana.edu:2811/pnfs/uits.indiana.edu/data/usatlas/',
        },
    'MWT2_IU':
    {
        'domain': '.*iu.edu.*',
        'email': 'support@mwt2.org,schraged@indiana.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'srm://iut2-dc1.iu.edu/pnfs/iu.edu/data/ddm1/',
        },
    'OU':
    {
        'domain': '.*ou.edu.*',
        'email': 'hs@nhn.ou.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://tier2-02.ochep.ou.edu/ibrix/data/dq2-cache/',
        },
    'OUHEP':
    {
        'domain': '.*ou.edu.*',
        'email': 'hs@nhn.ou.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        # LCG toolAssigner attributes
        'srm': 'gsiftp://ouhep00.nhn.ou.edu:2810/raid2/dq2-cache/',
        },
    'SLAC':
    {
        'domain': '.*slac.stanford.edu.*',
        'email': 'yangw@slac.stanford.edu,gowdy@slac.stanford.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'gsiftp://osgserv01.slac.stanford.edu//nfs/farm/atlas/data1/dq2/',
    },
    'SLACXRD':
    {
        'domain': '.*slac.stanford.edu.*',
        'email': 'yangw@slac.stanford.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'gsiftp://osgserv04.slac.stanford.edu/xrootd/atlas/dq2/',
    },
    'AGLT2':
    {
        'domain': '.*grid.umich.edu.*',
        'email': 'smckee@umich.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'gsiftp://umfs02.grid.umich.edu/atlas/data08/dq2/',
    },        
    'AGLT2_UM':
    {
        'domain': '.*aglt2.org.*',
        'email': 'smckee@umich.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'gsiftp://dq2.grid.umich.edu/atlas/data15/dq2/',
    },
    'SMU':
    {    
        'domain': '.*smu.edu.*',
        'email': 'ross@smu.edu',
        'toolAssigner': 'lcg',
        'fts': BNLFTS,
        'srm': 'gsiftp://smufarm.physics.smu.edu/data/',
    },
    
   
    #
    # NORDUGRID
    #
    'NDGFDISK':
    {
        'domain': '.*',
        'email': 'a.l.read@fys.uio.no',
        'srm': 'rls://atlasrls.nordugrid.org:39281',
    },
    'NDGFTAPE':
    {
        'domain': '.*',
        'email': 'a.l.read@fys.uio.no',
        'srm': 'rls://atlasrls.nordugrid.org:39281',
    },
    'NDGFT1DISK':
    {
        'domain': 'srm://(orval.grid.aau.dk|srm.ndgf.org.*/atlas/disk).*',
        'email': 'adrian.taga@fys.uio.no',
        'toolAssigner': 'lcg',
        'fts': NDGFFTS,
        'srm': 'srm://srm.ndgf.org/pnfs/ndgf.org/data/atlas/disk/',
        'srmsc4': 'srm://srm.ndgf.org/pnfs/ndgf.org/data/atlas/tape/t0test_disk/',
        'ce': [ '' ],
    },
    'NDGFT1TAPE':
    {
        'domain': 'srm://srm.ndgf.org.*/pnfs/ndgf.org/data/atlas/tape.*',
        'email': 'adrian.taga@fys.uio.no',
        'toolAssigner': 'lcg',
        'fts': NDGFFTS,
        'srm': 'srm://srm.ndgf.org/pnfs/ndgf.org/data/atlas/tape/',
        'srmsc4': 'srm://srm.ndgf.org/pnfs/ndgf.org/data/atlas/tape/t0test_tape/',
        'ce': [ '' ],
    },
    'NDGFTEST':
    {
        'domain': 'srm://orval.grid.aau.dk.*',
        'email': 'adrian.taga@fys.uio.no',
        'toolAssigner': 'lcg',
        'fts': NDGFFTS,
        'srm': 'srm://orval.grid.aau.dk/pnfs/grid.aau.dk/data/atlas/',
        'ce': [ '' ],
    },
}


    
#
# Graph with topology
#

topology = {
    'ALL': [ 'CERN', 'ITALYSITES', 'SPAINSITES', 'UKSITES', 'FZKSITES', 'NLSITES', 'TAIWANSITES', 'FRANCESITES', 'CANADASITES', 'USASITES' ],
    'TIER1S': [ 'RAL', 'PIC', 'FZK', 'SARA', 'CNAF', 'ASGC', 'LYON', 'TRIUMF', 'BNL', 'NDGFT1' ],

    'CERN': ['TIER0TAPE', 'TIER0DISK', 'CERNPROD', 'CERNCAF', 'CERNINTEGRATIONTEST1'],
    
    'ITALYSITES': ['CNAF', 'MILANO', 'ROMA1', 'NAPOLI', 'LNF'],
    'CNAF': ['CNAFDISK', 'CNAFTAPE'],
    
    'SPAINSITES': [ 'PIC','IFIC','IFAE','UAM' ],
    'PIC': ['PICDISK', 'PICTAPE'],
    'IFIC': ['IFICDISK', 'IFICTAPE'],
    
    'FRANCESITES': [ 'LYON', 'LPC', 'LAL', 'SACLAY', 'LPNHE', 'LAPP', 'CPPM', 'TOKYO', 'BEIJING', 'NIPNE_02', 'NIPNE_07' ],
    'LYON': ['LYONDISK', 'LYONTAPE'],
    
    'UKSITES': [ 'RAL', 'UKTIER2S' ],
    'RAL': [ 'RALDISK', 'RALTAPE' ],
    'UKTIER2S': [ 'EDINBURGH', 'GLASGOW', 'MANC', 'LANCS','LIV',
                  'RALPP','OXF','CAM','BHAM','ICL','LESC','RHUL','BRUN',
                  'QMUL','UCLCC', 'UCLHEP','DUR'],

    'FZKSITES': [ 'FZK', 'FZU', 'CSCS', 'CYF', 'DESY-HH', 'DESY-ZN', 'UNI-FREIBURG', 'WUP', 'LRZ' ],
    'FZK': [ 'FZKDISK', 'FZKTAPE' ],
    
    'NLSITES': [ 'SARA', 'ITEP', 'NIKHEF', 'SINP', 'IHEP', 'JINR' ],
    'SARA': [ 'SARADISK', 'SARATAPE' ],

    'TAIWANSITES': [ 'ASGC', 'TW-FTT', 'AU-UNIMELB' ],
    'ASGC': [ 'ASGCDISK', 'ASGCTAPE' ],

    'CANADASITES': [ 'TRIUMF', 'SFU', 'TORON', 'UVIC', 'ALBERTA', 'MONTREAL' ],
    'TRIUMF': [ 'TRIUMFDISK', 'TRIUMFTAPE' ],

    'USASITES': [ 'BNL', 'BU', 'BU_TEST', 'UTA', 'UTA_SWT2', 'UTA_TEST1', 'UC', 'UC_TP', 'UC_VOB', 'MWT2_UC', 'IU', 'IU_BC', 'MWT2_IU', 'OU', 'OUHEP', 'SLAC', 'SLACXRD', 'AGLT2', 'AGLT2_UM', 'SMU', 'BNLTEST' ],
    'BNL': [ 'BNLDISK', 'BNLNULL', 'BNLTAPE', 'BNLPANDA' ],
    
    'NDGF': [ 'NDGFDISK', 'NDGFTAPE', 'NDGFTEST', 'NDGFT1' ],
    'NDGFT1': [ 'NDGFT1DISK', 'NDGFT1TAPE' ]
}


#
# Channel: { DESTINATION_BASE_PATH: [ <LIST_OF_SOURCE_BASE_PATHS> ] }
#
ftsTopology = {

    CERNFTS: {  # all sites -> CERN served by CERNFTS
                'srm://srm.cern.ch': [ '*' ],
                'srm://srm-durable-atlas.cern.ch': [ '*' ],
                # Tier0 -> Tier1 is served by CERNFTS
                'srm://castorsrm.pic.es':               ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://castorsrm-disk.pic.es':          ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://srm-disk.pic.es':                ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://sc.cr.cnaf.infn.it':             ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://castorsrm.cr.cnaf.infn.it':      ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://dcache.gridpp.rl.ac.uk':         ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://dcache-tape.gridpp.rl.ac.uk':    ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://srm.grid.sara.nl':               ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://tbn18.nikhef.nl':                ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://gridka-dcache.fzk.de':           ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://castorsc.grid.sinica.edu.tw':    ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://ccsrm.in2p3.fr':                 ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://sc4.triumf.ca':                  ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://dcsrm.usatlas.bnl.gov':          ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
                'srm://srm.ndgf.org':                   ['srm://srm.cern.ch',
                                                            'srm://srm-durable-atlas.cern.ch',
                                                            'srm://castorsrm.cern.ch'],
    },
                
    PICFTS: {   'srm://castorsrm.pic.es': [ '*' ],
                'srm://castorsrm-disk.pic.es': [ '*' ],
                'srm://srm-disk.pic.es': [ '*' ],
                # PIC -> Tier2s
                'srm://castorsrm.ific.uv.es':   [ '*' ],
                'srm://ifaesrm.pic.es':         [ '*' ],
                'srm://grid002.ft.uam.es':      [ '*' ],
    },

    LYONFTS: {  'srm://ccsrm.in2p3.fr': [ '*' ],
                # LYON -> Tier2s
                'srm://clrlcgse01.in2p3.fr':    [ '*' ],
                'srm://grid05.lal.in2p3.fr':    [ '*' ],
                'srm://node12.datagrid.cea.fr': [ '*' ],
                'srm://lpnse1.in2p3.fr':        [ '*' ],
                'srm://lapp-se01.in2p3.fr':     [ '*' ],
                'srm://sedpm.mrs.grid.cnrs.fr': [ '*' ],
                'srm://dgse0.icepp.jp':         [ '*' ],
                'srm://atlasse01.ihep.ac.cn':   [ '*' ],
                'srm://tbit00.nipne.ro':        [ '*' ],
                'srm://tbat05.nipne.ro':        [ '*' ],
    },

    FZKFTS: {   'srm://gridka-dcache.fzk.de': [ '*' ],
                # FZK and everything else -> Tier2s
                'srm://golias100.farm.particle.cz':      [ '*' ],
                'srm://se01-lcg.projects.cscs.ch':       [ '*' ],
                'srm://dpm.cyf-kr.edu.pl':               [ '*' ],
                'srm://srm-dcache.desy.de':              [ '*' ],
                'srm://globe-door.ifh.de':               [ '*' ],
                'srm://se.bfg.uni-freiburg.de':          [ '*' ],
                'srm://grid-se.physik.uni-wuppertal.de': [ '*' ],
                'srm://lcg-lrz-se.lrz-muenchen.de':      [ '*' ],

    },

    CNAFFTS: {  'srm://sc.cr.cnaf.infn.it': [ '*' ],
                'srm://castorsrm.cr.cnaf.infn.it': [ '*' ],
                # CNAF -> Tier2s
                'srm://grid-cert-03.roma1.infn.it': ['*'], 
                'srm://grid006.mi.infn.it':         ['*'], 
                'srm://t2-dpm-01.na.infn.it':       ['*'], 
                'srm://atlasse.lnf.infn.it':        ['*'], 
    },

    BNLFTS:  { 'srm://dcsrm.usatlas.bnl.gov': [ '*' ],
                # BNL -> Tier2s
                'gsiftp://atlas.bu.edu':                ['*'],
                'gsiftp://atlas.dpcc.uta.edu':          ['*'],
                'gsiftp://gk01.swt2.uta.edu':           ['*'],
                'gsiftp://gk02.swt2.uta.edu':           ['*'],
                'gsiftp://heptest002.uta.edu':          ['*'],
                'gsiftp://tier2-04.uchicago.edu':       ['*'],
                'gsiftp://tp-grid2.uchicago.edu':       ['*'],
                'gsiftp://tier2-d1.uchicago.edu':       ['*'],
                'gsiftp://tier2-d2.uchicago.edu':       ['*'],
                'gsiftp://uct2-dc1.uchicago.edu':       ['*'],
                'gsiftp://atlas.iu.edu':                ['*'],
                'gsiftp://bandicoot.uits.indiana.edu':  ['*'],
                'srm://iut2-dc1.iu.edu':                ['*'],
                'gsiftp://tier2-02.ochep.ou.edu':       ['*'],
                'gsiftp://ouhep00.nhn.ou.edu':          ['*'],
                'gsiftp://osgserv01.slac.stanford.edu': ['*'],
                'gsiftp://osgserv04.slac.stanford.edu': ['*'],
                'gsiftp://hep.westgrid.ca':             ['*'],
                'gsiftp://umfs02.grid.umich.edu':       ['*'],
                'gsiftp://dq2.aglt2.org':               ['*'],
                'gsiftp://smufarm.physics.smu.edu':     ['*'],
    },

    RALFTS:  { 'srm://dcache.gridpp.rl.ac.uk': [ '*' ],
               'srm://dcache-tape.gridpp.rl.ac.uk': [ '*' ],
               # RAL -> Tier2s
               'srm://dcache01.tier2.hep.manchester.ac.uk': ['*'],
               'srm://fal-pygrid-20.lancs.ac.uk':           ['*'],
               'srm://se01.esc.qmul.ac.uk':                 ['*'],
               'srm://t2se01.physics.ox.ac.uk':             ['*'],
               'srm://se2-gla.scotgrid.ac.uk':              ['*'],
               'srm://dpm.epcc.ed.ac.uk':                   ['*'],
               'srm://serv02.hep.phy.cam.ac.uk':            ['*'],
               'srm://se1.pp.rhul.ac.uk':                   ['*'],
               'srm://pc55.hep.ucl.ac.uk':                  ['*'],
               'srm://gw-3.ccc.ucl.ac.uk':                  ['*'],
               'srm://gallows.dur.scotgrid.ac.uk':          ['*'],
               'srm://hepgrid5.ph.liv.ac.uk':               ['*'],
               'srm://dgc-grid-34.brunel.ac.uk':            ['*'],
               'srm://epgse1.ph.bham.ac.uk':                ['*']
                },

    TRIUMFFTS:  { 'srm://sc4.triumf.ca': [ '*' ],
                  # TRIUMF -> Tier2s
                  'srm://wormhole.westgrid.ca': ['*'],
                  'srm://lcgse02.nic.ualberta.ca': ['*'],
                  'srm://bigmac-dcache.physics.utoronto.ca': ['*'],
                  },

    SARAFTS:  { 'srm://srm.grid.sara.nl': [ '*' ],
                'srm://tbn18.nikhef.nl': [ '*' ],
                # SARA -> Tier2s
                'srm://se2.itep.ru': ['*'],
                'srm://lcg60.sinp.msu.ru': ['*'],
                'srm://dpm0001.m45.ihep.su': ['*'],
                'srm://lxfs07.jinr.ru': ['*'],
                },
    
    ASGCFTS:  { 'srm://castorsc.grid.sinica.edu.tw': [ '*' ],
                # ASGC -> Tier2s
                'srm://koala.unimelb.edu.au': ['*'],
                'srm://atlasse.phys.sinica.edu.tw': ['*'],
                },

    NDGFFTS:  { 'srm://srm.ndgf.org': ['*'],
                'srm://orval.grid.aau.dk': ['*'],
                },


    }
                                                
                       
#
# Local Replicas Catalogs and Topology
#

CERNLFC = 'lfc://prod-lfc-atlas-local.cern.ch:/grid/atlas'
PICLFC = 'lfc://lfc01.pic.es:/grid/atlas'
RALLFC = 'lfc://lfc0448.gridpp.rl.ac.uk:/grid/atlas'
FZKLFC = 'lfc://lfc-fzk.gridka.de:/grid/atlas/'
SARALFC = 'lfc://mu11.matrix.sara.nl:/grid/atlas/'
CNAFLFC = 'lfc://lfc.cr.cnaf.infn.it:/grid/atlas'
ASGCLFC = 'lfc://lfc.grid.sinica.edu.tw:/grid/atlas'
TRIUMFLFC = 'lfc://lfc.triumf.ca:/grid/atlas/'
LYONLFC = 'lfc://lfc-atlas.in2p3.fr:/grid/atlas'

OLDLFC = 'lfc://prod-lfc-atlas-central.cern.ch:/grid/atlas'

BNLLRC = 'mysql://dsdb-reader:dsdb-reader1@lrc.usatlas.bnl.gov:3306/localreplicas'
BULRC = 'mysql://dq2user:wnw@atlas001.bu.edu:3306/localreplicas'
BU_TESTLRC = 'mysql://dq2user:wnw@atlas003.bu.edu:3306/localreplicas'
UTALRC = 'mysql://dq2user:dqpwd@osg-itb2.dpcc.uta.edu:3306/localreplicas'
UTA_SWT2LRC = 'mysql://dq2user:dqpwd@gk03.swt2.uta.edu:3306/localreplicas'
UTA_TEST1LRC = 'mysql://dq2user:dqpwd@gk02.swt2.uta.edu:3306/localreplicas'
UCLRC = 'mysql://dq2user:dqpwd@tier2-01.uchicago.edu:3306/localreplicas'
UC_TPLRC = 'mysql://dq2user:dqpwd@tp-grid2.uchicago.edu:3306/localreplicas'
UC_VOBLRC = 'mysql://dq2user:dqpwd@tier2-05.uchicago.edu:3306/localreplicas'
MWT2_UCLRC = 'mysql://dq2user:dqpwd@uct2-grid1.uchicago.edu:3306/localreplicas'
IULRC = 'mysql://dq2user:dqpwd@g3aux.avidd.iu.edu:3306/localreplicas'
IU_BCLRC = 'mysql://dq2user:dqpwd@bandicoot.uits.indiana.edu:3306/localreplicas'
MWT2_IULRC = 'mysql://dq2user:dqpwd@iut2-grid1.iu.edu:3306/localreplicas'
OULRC = 'mysql://dq2user:dqpwd@tier2-02.ochep.ou.edu:3306/localreplicas'
OUHEPLRC = 'mysql://dq2user:dqpwd@ouhep00.nhn.ou.edu:3306/localreplicas'
SLACLRC = 'mysql://dq2user:dqpwd@atl-dq2.slac.stanford.edu:3306/localreplicas'
SLACXRDLRC = 'mysql://dq2user:dqpwd@osgserv04.slac.stanford.edu:3306/localreplicas'
BNLTESTLRC = 'mysql://dq2user:dqpwd@dq2test.racf.bnl.gov:3306/localreplicas'
UBCLRC = 'mysql://dq2user:dqpwd@hep.westgrid.ca:3306/localreplicas'
AGLT2LRC = 'mysql://dq2user:dqpwd@umfs02.grid.umich.edu:3306/localreplicas'
AGLT2_UMLRC = 'mysql://dq2user:dqpwd@dq2.grid.umich.edu:3306/localreplicas'
SMULRC = 'mysql://dq2user:dqpwd@smufarm.physics.smu.edu:3306/localreplicas'

NDGFLRC = 'mysql://dq2user:dqpwd@atlasrls.nordugrid.org:3306/localreplicas'


catalogsTopology = {
    CERNLFC: [ 'CERN' ],
    CNAFLFC:[ 'ITALYSITES'],
    PICLFC: [ 'SPAINSITES' ],
    RALLFC: [ 'UKSITES' ],
    FZKLFC: [ 'FZKSITES' ],
    SARALFC: [ 'NLSITES' ],
    ASGCLFC: [ 'TAIWANSITES' ],
    TRIUMFLFC: [ 'CANADASITES' ],
    LYONLFC: [ 'FRANCESITES' ],
    OLDLFC: ['OLDLCG'],
    BNLLRC: [ 'BNL' ],
    BULRC: [ 'BU' ],
    BU_TESTLRC: [ 'BU_TEST' ],
    UTALRC: [ 'UTA' ],
    UTA_SWT2LRC: [ 'UTA_SWT2' ],
    UTA_TEST1LRC: [ 'UTA_TEST1' ],
    UCLRC: [ 'UC' ],
    UC_TPLRC: [ 'UC_TP' ],
    UC_VOBLRC: [ 'UC_VOB' ],
    MWT2_UCLRC: [ 'MWT2_UC' ],
    IULRC: [ 'IU' ],
    IU_BCLRC: [ 'IU_BC' ],
    MWT2_IULRC: [ 'MWT2_IU' ],
    OULRC: [ 'OU' ],
    OUHEPLRC: [ 'OUHEP' ],
    SLACLRC: [ 'SLAC' ],
    SLACXRDLRC: [ 'SLACXRD' ],
    BNLTESTLRC: ['BNLTEST'],
    UBCLRC: [ 'UBC' ],
    AGLT2LRC: [ 'AGLT2' ],
    AGLT2_UMLRC: [ 'AGLT2_UM' ],
    SMULRC: [ 'SMU' ],     
    NDGFLRC: [ 'NDGF' ],
}

#
# Close sites topology
#

closeSitesTopology = { 
    'TIER0TAPE': [ 'CERN', 'TIER1S' ],
    'TIER0DISK': [ 'CERN', 'TIER1S' ],
    'CERNPROD': [ 'CERN', 'TIER1S' ],
    'CERNCAF': [ 'CERN', 'TIER1S' ],
    'TIER1S': [ 'TIER1S' ],
    'ITALYSITES': ['ITALYSITES'],
    'UKSITES': [ 'UKSITES' ],
    'SPAINSITES': [ 'SPAINSITES' ],
    'FZKSITES': [ 'FZKSITES' ],
    'NLSITES': [ 'NLSITES' ],
    'TAIWANSITES': [ 'TAIWANSITES' ],
    'FRANCESITES': [ 'FRANCESITES' ],
    'CANADASITES': [ 'CANADASITES' ],
    'USASITES': [ 'USASITES' ],
    'NDGF': [ 'NDGF' ]
}

#
# ProdDB T1 cloud acronyms
#
dbcloud = {
    'T0': 'CERN',
    'IT': 'ITALYSITES',
    'ES': 'SPAINSITES',
    'FR': 'FRANCESITES',
    'UK': 'UKSITES',
    'DE': 'FZKSITES',
    'NL': 'NLSITES',
    'TW': 'TAIWANSITES',
    'CA': 'CANADASITES',
    'US': 'USASITES'
    }
