# Author Joost Vossebeld

# Event selector
include( "PartPropSvc/PartPropSvc.py" )
include( "AthenaPoolCnvSvc/ReadAthenaPool_jobOptions.py" )
EventSelector = Service( "EventSelector" )
#EventSelector.BackNavigation = True

# Particle Properties

# the POOL converters
include( "EventAthenaPool/EventAthenaPool_joboptions.py" )
include( "ParticleBuilderOptions/ESD_PoolCnv_jobOptions.py" )
include( "ParticleBuilderOptions/AOD_PoolCnv_jobOptions.py")
include( "ParticleBuilderOptions/McAOD_PoolCnv_jobOptions.py")
include( "RecAthenaPool/RecAthenaPool_joboptions.py" )

# The AOD input file
EventSelector.InputCollections = [
#    "/hepstore/data01/vossebeld/AODfiles/v120031/trig0_calib0.005145.PythiaZmumu.recon.AOD.v12003104_tid004083._00001.pool.root.1",
#    "/hepstore/data01/vossebeld/AODfiles/v120031/trig0_calib0.005145.PythiaZmumu.recon.AOD.v12003104_tid004083._00002.pool.root.1",
#    "/hepstore/data01/vossebeld/AODfiles/v120031/trig0_calib0.005145.PythiaZmumu.recon.AOD.v12003104_tid004083._00006.pool.root.1",
#    "/hepstore/data01/vossebeld/AODfiles/v120031/trig0_calib0.005145.PythiaZmumu.recon.AOD.v12003104_tid004083._00007.pool.root.1",
#    "/hepstore/data01/vossebeld/AODfiles/v120031/trig0_calib0.005145.PythiaZmumu.recon.AOD.v12003104_tid004083._00009.pool.root.1"
#    "/hepstore/data01/hayward/GMSB_g1acg30/GMSB_g1acg30.recon.AOD.v1204._2113.pool.root",
#    "/hepstore/data01/hayward/GMSB_g1acg30/GMSB_g1acg30.recon.AOD.v1204._2122.pool.root",
#    "/hepstore/data01/hayward/GMSB_g1acg30/GMSB_g1acg30.recon.AOD.v1204._2124.pool.root",
#    "/hepstore/store1/vossebeld/AODfiles/v12004/vossebeld.PythiaZee.recon.AOD.v1204._1001.pool.root"
# file below is a fastsim file
#    "/hepstore/store1/gwilliam/csc11.005403.SU3_jimmy_susy.atlfast.AOD.v12000503_tid005854._00001.pool.root.1" 
]


# Overlap removal by default - This is analysis dependent
# The user is encouraged to customize the overlap removal as necessary
#include ("ParticleBuilderOptions/DefaultOverlapRemoval_jobOptions.py" )

# The user analysis algorithm to be executed
#theApp.setup( MONTECARLO )
theApp.Dlls   += [ "AnalysisTools" ]
theApp.Dlls   += [ "AODtoLiverpoolNtuple" ]
theApp.TopAlg   += [ "AODtoLiverpoolNtuple" ]
AODtoLiverpoolNtuple = Algorithm( "AODtoLiverpoolNtuple" )

### The electron HLT slice is off by default.
### Uncomment the next 3 lines to turn it on
AODtoLiverpoolNtuple.DoElectronTrigger = 1
theApp.Dlls   += [ "egammaUtils" ]
theApp.Dlls   += [ "CaloDetDescr" ]

# Specify the type of data run over (default is full sim)
#AODtoLiverpoolNtuple.FastSimulation = 1

# message level for AODtoLiverpoolNtuple
AODtoLiverpoolNtuple.OutputLevel = ERROR

# Set output level threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
MessageSvc = Service( "MessageSvc" )
MessageSvc.OutputLevel = ERROR
MessageSvc.defaultLimit = 9999999

# Number of Events to process
theApp.EvtMax = -1

# -------------------------------------
# Next section if making a Root Ntuple:
# ------------------------------------- 
theApp.Dlls += [ "RootHistCnv" ]
theApp.HistogramPersistency = "ROOT"
NTupleSvc = Service( "NTupleSvc" )
NTupleSvc.Output     = [ "FILE1 DATAFILE='Ntuple.root'  TYP='ROOT'  OPT='NEW'" ]

#StoreGateSvc = Service( "StoreGateSvc" )
#StoreGateSvc.Dump = True 
 
